]> code.delx.au - gnu-emacs/blobdiff - configure
Merge from emacs--devo--0
[gnu-emacs] / configure
index ae2dc481843bc86b5b38be6e13a34c0bfc4b02fa..02c6d470035696cc3d1fa72f0f885eedc40f1681 100755 (executable)
--- a/configure
+++ b/configure
@@ -11109,75 +11109,6 @@ echo "${ECHO_T}before 6" >&6; }
   fi
 fi
 
-if test "${window_system}" = "x11"; then
-  { echo "$as_me:$LINENO: checking X11 version 5" >&5
-echo $ECHO_N "checking X11 version 5... $ECHO_C" >&6; }
-  if test "${emacs_cv_x11_version_5+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <X11/Xlib.h>
-int
-main ()
-{
-#if XlibSpecificationRelease < 5
-fail;
-#endif
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  emacs_cv_x11_version_5=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       emacs_cv_x11_version_5=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-fi
-
-  if test $emacs_cv_x11_version_5 = yes; then
-    { echo "$as_me:$LINENO: result: 5 or newer" >&5
-echo "${ECHO_T}5 or newer" >&6; }
-    HAVE_X11R5=yes
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_X11R5 1
-_ACEOF
-
-  else
-    HAVE_X11R5=no
-    { echo "$as_me:$LINENO: result: before 5" >&5
-echo "${ECHO_T}before 5" >&6; }
-  fi
-fi
 
 ### Use -lrsvg-2 if available, unless `--with-rsvg=no' is specified.
 HAVE_RSVG=no
 
 HAVE_XAW3D=no
 if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then
-  if test x"${HAVE_X11R5}" != xyes; then
-    USE_X_TOOLKIT=none
-  else
-    if test "$with_xaw3d" != no; then
-      { echo "$as_me:$LINENO: checking for xaw3d" >&5
+  if test "$with_xaw3d" != no; then
+    { echo "$as_me:$LINENO: checking for xaw3d" >&5
 echo $ECHO_N "checking for xaw3d... $ECHO_C" >&6; }
-      if test "${emacs_cv_xaw3d+set}" = set; then
+    if test "${emacs_cv_xaw3d+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -12137,25 +12065,25 @@ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 fi
 
-    else
-      emacs_cv_xaw3d=no
-    fi
-    if test $emacs_cv_xaw3d = yes; then
-      { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
+  else
+    emacs_cv_xaw3d=no
+  fi
+  if test $emacs_cv_xaw3d = yes; then
+    { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
 echo "${ECHO_T}yes; using Lucid toolkit" >&6; }
-      USE_X_TOOLKIT=LUCID
-      HAVE_XAW3D=yes
+    USE_X_TOOLKIT=LUCID
+    HAVE_XAW3D=yes
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_XAW3D 1
 _ACEOF
 
-    else
-      { echo "$as_me:$LINENO: result: no" >&5
+  else
+    { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
-      { echo "$as_me:$LINENO: checking for libXaw" >&5
+    { echo "$as_me:$LINENO: checking for libXaw" >&5
 echo $ECHO_N "checking for libXaw... $ECHO_C" >&6; }
-      if test "${emacs_cv_xaw+set}" = set; then
+    if test "${emacs_cv_xaw+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -12205,19 +12133,18 @@ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 fi
 
-      if test $emacs_cv_xaw = yes; then
-        { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
+    if test $emacs_cv_xaw = yes; then
+      { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
 echo "${ECHO_T}yes; using Lucid toolkit" >&6; }
-        USE_X_TOOLKIT=LUCID
-      elif test x"${USE_X_TOOLKIT}" = xLUCID; then
-        { { echo "$as_me:$LINENO: error: Lucid toolkit requires X11/Xaw include files" >&5
+      USE_X_TOOLKIT=LUCID
+    elif test x"${USE_X_TOOLKIT}" = xLUCID; then
+      { { echo "$as_me:$LINENO: error: Lucid toolkit requires X11/Xaw include files" >&5
 echo "$as_me: error: Lucid toolkit requires X11/Xaw include files" >&2;}
    { (exit 1); exit 1; }; }
-      else
-        { echo "$as_me:$LINENO: result: no; do not use toolkit by default" >&5
+    else
+      { echo "$as_me:$LINENO: result: no; do not use toolkit by default" >&5
 echo "${ECHO_T}no; do not use toolkit by default" >&6; }
-        USE_X_TOOLKIT=none
-      fi
+      USE_X_TOOLKIT=none
     fi
   fi
 fi
@@ -24303,6 +24230,14 @@ if test "$USE_X_TOOLKIT" = GTK; then
 fi
 
 
+if test "$HAVE_CARBON" = "yes"; then
+   echo
+   echo "Warning: The Mac Carbon port is currently unsupported and has
+known problems.  It is not recommended for use by non-developers.
+Read the emacs-devel archives for more information."
+   echo
+fi
+
 
 # Remove any trailing slashes in these variables.
 test "${prefix}" != NONE &&